Updates the driver by the providedID.

Updates the driver by the providedID.

📘

The rate limit for this API is normal.

Path Params
uuid
required

Represents the ID of the driver to be updated.

Body Params
string | null

Represents first name of the driver.

string | null

Represents last name of the driver.

boolean

Represents a flag for driver's access to the application using email. If hasAppAccess is true, email must be provided. If hasAppAccess is false, the driver's access to application using email will be revoked.

string | null

Represents the email ID of the driver.

string | null
enum

Represents the status of the driver. When sent as 'inactive', the driver's app access will be revoked and the driver will be deactivated. When sent as 'active', the driver will be activated.

Allowed:
string | null

Represents the language used by the driver. Must be a valid ISO 639-1 two-letter language code (e.g., 'en', 'de', 'fr').

boolean | null

Represents a flag for driver's access to the application using driver code. When sent as false, the driver's access to application using driver code will be revoked. When sent as true, the driver will be given access to application using driver code. Driver code and PIN are required when providing access for the first time. If driver already has driver code along with email app access and drivercodeAppAccess as false, sending drivercodeAppAccess as true will enable access without requiring driver code and PIN in the request.

string | null

Represents the driver code used by the driver to login to application. This is required when driverCodeAppAccess is true or updating driverCodeAppAccess from false to true without existing driver code and PIN. If driverCodeAppAccess is already true and driver code exists, driver code is not required in the request but can be sent for updating the existing driver code. Driver code must be between 4 and 27 characters. Driver code must contain only uppercase letters (A-Z) and digits (0-9)

string | null

Represents the PIN used by the driver to login to application. This is required when driverCodeAppAccess is true. If driverCodeAppAccess is already true, PIN is not required in the request but can be sent for updating the existing PIN. Pin must be between 6 and 72 characters. Pin must contain only digits (0-9) and No pattern like '123456' or '111111' Please choose a more secure PIN.

tachoCardDetails
object
assignees
object
Responses

401

Failure code. Unauthorized access.

403

Failure code. Forbidden access.

429

Too many requests.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json